#!/bin/bash
# Check for pid file, ini file, and proc
# if one of them is not there, loop up to 2 minutes
#

VMPIDFILE=/var/run/voicemail.pid
VMINIFILE=/var/run/voicemail.ini
PROCPATH=/proc/
MAXCOUNT=48

#loop 4 min
count=0
while [ $count -lt $MAXCOUNT ]; do
    # get voicemail pid
    if [ ! -f $VMPIDFILE ]; then
        #echo "No VM pid file, sleep 5s."
        sleep 5
        let count+=1
        continue
    fi

    PID=`cat $VMPIDFILE`
    #echo "get pid $PID"

    # get voicemail ini
    if [ ! -f $VMINIFILE ]; then
        #echo "No VM INI file, sleep 5s."
        sleep 5
        let count+=1
        continue
    fi

    IPID=`cat $VMINIFILE`
    #echo "get ini pid $IPID"

    # two pid needs to be equal
    if [ $PID != $IPID ]; then
        #echo "two PIDs not equal, sleep 5s."
        sleep 5
        let count+=1
        continue
    fi

    # get proc voicemail dir
    VMPROC=$PROCPATH$PID
    if [ ! -d $VMPROC ]; then
        sleep 5
        let count+=1
        continue
    fi
    #echo `ls $VMPROC`
    #echo "count = $count"
    let count+=1
    exit 0
done
exit 1

